Bug 971061 - Localization not working even for languages that are localized
Localization not working even for languages that are localized
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
medium Severity unspecified
: rc
: 7.1
Assigned To: Martin Kosek
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 11:10 EDT by Jan Pazdziora
Modified: 2015-03-05 05:09 EST (History)
2 users (show)

See Also:
Fixed In Version: ipa-4.0.3-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-05 05:09:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2013-06-05 11:10:15 EDT
Description of problem:

I did run command

ipa-getkeytab -s server.example.com -p HTTP/broker.example.net -k /var/www/openshift/broker/httpd/conf.d/http.keytab

under es_ES.utf8 locales (export LC_ALL=es_ES.utf8; export LANG=es_ES.utf8) and it ended with

Failed to add key to the keytab

I would expect localized message.

Version-Release number of selected component (if applicable):

ipa-client-3.0.0-26.el6_4.2.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. Set Spanish locales.
2. Have server and principal and try to run ipa-getkeytab with -k parameter pointing to nonexistent directory.

Actual results:

Failed to add key to the keytab

Expected results:

No se pudo agregar clave de la tabla de claves

Additional info:

I believe that no localization works for IPA CLI tools because the .mo file is ipa.mo (for example /usr/share/locale/es/LC_MESSAGES/ipa.mo) while the bindtextdomain(PACKAGE, LOCALEDIR); is called with PACKAGE set to ipa-client or ipa-server.

When I do

cd /usr/share/locale/es/LC_MESSAGES ; ln -s ipa.mo ipa-client.mo

the command ipa-getkeytab reports Spanish message.
Comment 2 Jan Pazdziora 2013-06-05 11:12:36 EDT
Of course, completeness of the localization is another issue

$ git grep 'Failed to add key to the keytab'
install/po/es.po:msgid "Failed to add key to the keytab\n"
install/po/fr.po:msgid "Failed to add key to the keytab\n"
install/po/ipa.pot:msgid "Failed to add key to the keytab\n"
install/po/pl.po:msgid "Failed to add key to the keytab\n"
install/po/uk.po:msgid "Failed to add key to the keytab\n"
ipa-client/ipa-getkeytab.c:                                _("Failed to add key to the keytab\n"));

but getting what we have to actually work (it seems like a packaging error) would be a good start. And testing it.
Comment 3 Martin Kosek 2013-06-06 03:36:21 EDT
Thanks, this is indeed a bug. I will clone an upstream ticket.
Comment 4 Martin Kosek 2013-06-06 03:37:52 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3695
Comment 7 Namita Soman 2015-01-26 12:25:06 EST
Verified above scenario using ipa-server-4.1.0-16.el7.x86_64

# export LC_ALL=es_ES.utf8

# export LANG=es_ES.utf8

# ipa-getkeytab -s `hostname` -p HTTP/cloud-qe-3.testrelm.test -k /tmp/nk.keytab 
Tabla de claves recuperada y almacenada correctamente en:/tmp/nk.keytab


# ls -l /tmp/nk.keytab
-rw-------. 1 root root 354 ene 26 12:05 /tmp/nk.keytab


[google translate indicated the message above as - Key table correctly retrieved and stored : /tmp/nk.keytab]
Comment 8 Namita Soman 2015-01-26 12:31:37 EST
and when pointing to a non-existent dir:
# ipa-getkeytab -s `hostname` -p HTTP/cloud-qe-3.testrelm.test -k /aaa/nk.keytab 
No se pudo agregar clave de la tabla de claves

[translates to - Failed to add key key table]
Comment 10 errata-xmlrpc 2015-03-05 05:09:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0442.html

Note You need to log in before you can comment on or make changes to this bug.